Get Agent by ID
Retrieves a specific agent by its identifier for a designated location. The locationId parameter is mandatory, and the agent must maintain an active status to be retrieved.
GET
/
agent-studio
/
public-api
/
agents
/
{agentId}
Get Agent by ID
curl --request GET \
--url https://services.leadconnectorhq.com/agent-studio/public-api/agents/{agentId} \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'const options = {
method: 'GET',
headers: {Version: '<version>', Authorization: 'Bearer <token>'}
};
fetch('https://services.leadconnectorhq.com/agent-studio/public-api/agents/{agentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/agent-studio/public-api/agents/{agentId}"
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"id": "agent_abc123",
"locationId": "loc_abc123",
"name": "Customer Support Bot",
"description": "<string>",
"status": "active",
"type": "<string>",
"config": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 404,
"message": "Agent not found",
"error": "Not Found"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}{
"statusCode": 500,
"message": "Internal server error",
"error": "Internal Server Error"
}Authorizations
Response
Agent retrieved successfully
Last modified on March 7, 2026
Was this page helpful?
Get Agent by ID
curl --request GET \
--url https://services.leadconnectorhq.com/agent-studio/public-api/agents/{agentId} \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'const options = {
method: 'GET',
headers: {Version: '<version>', Authorization: 'Bearer <token>'}
};
fetch('https://services.leadconnectorhq.com/agent-studio/public-api/agents/{agentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/agent-studio/public-api/agents/{agentId}"
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"id": "agent_abc123",
"locationId": "loc_abc123",
"name": "Customer Support Bot",
"description": "<string>",
"status": "active",
"type": "<string>",
"config": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 404,
"message": "Agent not found",
"error": "Not Found"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}{
"statusCode": 500,
"message": "Internal server error",
"error": "Internal Server Error"
}